package cn.com.poc.knowledge.convert;

import cn.com.poc.knowledge.dto.QAKnowledgeChunkDto;
import cn.com.poc.thirdparty.resource.demand.ai.entity.qaknowledge.QAKnowledgeChunkResult;

/**
 * @author alex.yao
 * @date 2025/3/5
 */
public class QAKnowledgeChunkConvert {

    public static QAKnowledgeChunkDto result2Dto(QAKnowledgeChunkResult result) {
        QAKnowledgeChunkDto qAKnowledgeChunkDto = new QAKnowledgeChunkDto();
        qAKnowledgeChunkDto.setTotalChunk(result.getTotalChunk());
        qAKnowledgeChunkDto.setKey(result.getKey());
        qAKnowledgeChunkDto.setChunk(result.getChunk());
        return qAKnowledgeChunkDto;
    }

}
